6.0.0-git
2019-10-23

[#4920] Expose links to type/state/priority/attribute definitions (site-specific help)
Summary Expose links to type/state/priority/attribute definitions (site-specific help)
Queue Whups
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester php (at) ideacode (dot) com
Created 2007-01-19 (4660 days ago)
Due
Updated 2007-05-10 (4549 days ago)
Assigned
Resolved
Milestone
Patch No

History
2007-05-10 09:27:31 Jan Schneider State ⇒ Accepted
 
2007-01-21 17:06:20 php (at) ideacode (dot) com Comment #3 Reply to this comment
It makes more sense to me to use title attributes for the
descriptions. These should theoretically even work for select boxes.
For simple definitions, that would work.  However, we expose a good 
deal more information than could fit in a title attribute. For 
example, our issue tracking overview:



https://mail.ideacode.com/wicked/display.php?page=IssueTracking



shows that tables and images are vital information in our case.



Perhaps a middle of the road approach would work.  Provide a text 
input field and a select with two options: description and external 
link.  If you type text and select description, the text appears as a 
title attribute; this would be the default.  If you type text and 
select external link, the text is treated as a URL to the appropriate 
documentation and the appropriate links are rendered.
2007-01-20 15:44:16 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
It makes more sense to me to use title attributes for the 
descriptions. These should theoretically even work for select boxes.
2007-01-19 15:37:15 php (at) ideacode (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Expose links to type/state/priority/attribute definitions (site-specific help)
Queue ⇒ Whups
Reply to this comment
Because whups is so highly configurable, every site will have its own 
set of types, states, priorities, and attributes.  Because these 
values are site-specific, the help text should also be site-specific.



Example implementation: beside the display and input widget for 
built-in values (state, priority, summary, etc) show a help link if 
the administrator as assigned a URL to that variable.  Provide a 
general link to attribute definitions.



On input, this would look like:

* State [ 3 - Implement   \/] (?)



On display, this would look like:

   Type Enhancement (?)

   State 5 - Finished (?)



The ? are links to the administrator-defined help pages for each of 
those.  The administrator would be able to configure help links for 
each of the following built-in values:



Summary

Queue

Queue Version

Type

State

Priority

Owners

Requester

Created

Due

Updated

Assigned

Resolved

Attachments

Saved Queries